/* indent size: 2 */

module.exports = app => {
  const DataTypes = app.Sequelize;

  const Model = app.model.define('ProductTypesItem', {
    item_id: {
      type: DataTypes.INTEGER(10).UNSIGNED,
      allowNull: false,
      primaryKey: true,
      autoIncrement: true
    },
    type_id:{
      type:DataTypes.INTEGER(10).UNSIGNED,
      allowNull:true
    },
    item_name: {
      type: DataTypes.STRING(255),
      allowNull: true
    },
    item_type: {
      type: DataTypes.INTEGER(1).UNSIGNED,
      allowNull: true
    },
    item_value: {
      type: DataTypes.STRING(255),
      allowNull: true
    },
    is_search: {
      type: DataTypes.INTEGER(1).UNSIGNED,
      allowNull: true
    },
    admin_id: {
      type: DataTypes.INTEGER(10).UNSIGNED,
      allowNull: true
    },
    update_time: {
      type: DataTypes.TIME,
      allowNull: true
    },
    create_time: {
      type: DataTypes.DATE,
      allowNull: true
    }
  }, {
    tableName: 'szj_product_types_item'
  });

  Model.associate = function() {
    //关联管理员表
    Model.belongsTo(app.model.AdminUser,{foreignKey:'admin_id',targetKey:'admin_id',as:'admin_user'});
    //关联商品类型表
    Model.belongsTo(app.model.ProductTypes,{foreignKey:'type_id',targetKey:'type_id',as:'product_types'});
  }
  //同步:没有就新建,有就不变
  Model.sync();
  return Model;
};
